| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions | Variables
img_nad.cpp File Reference

Denoising by nonlinear anisotropic diffusion: Coherence and edge enhancing diffusion. More...

`#include "img_nad.h"`
`#include "Matrix.h"`
`#include "utilities.h"`

Go to the source code of this file.

## Functions
Bimage * | img_structure_tensor (Bimage *p, long zs, long zw)
int | img_diffusion_tensor (Bimage *pd, double lambda, double C, double alpha)
int | img_diffuse (Bimage *p, Bimage *pdn, Bimage *pd, double ht, long zs)
int | img_nad_chunk (Bimage *p, Bimage *pdn, double lambda, double C, double alpha, double ht, long zs, long zw)
Bimage * | img_nad (Bimage *p, double ht, long zw, double lambda, double C, double alpha)
| Denoises a 3D density map by non-linear anisotropic diffusion. More...

## Variables
int | verbose

## Detailed Description

Denoising by nonlinear anisotropic diffusion: Coherence and edge enhancing diffusion.

Author
  Achilleas Frangakis
  Bernard Heymann

Date
  Created: 20020803
  Modified: 20160521 (BH)

Definition in file img_nad.cpp.

## Function Documentation

int img_diffuse | ( | Bimage * | p,
|  | Bimage * | pdn,
|  | Bimage * | pd,
|  | double | ht,
|  | long | zs
| ) |  |

Definition at line 136 of file img_nad.cpp.

int img_diffusion_tensor | ( | Bimage * | pd,
|  | double | lambda,
|  | double | C,
|  | double | alpha
| ) |  |

Definition at line 75 of file img_nad.cpp.

Bimage* img_nad | ( | Bimage * | p,
|  | double | ht,
|  | long | zw,
|  | double | lambda,
|  | double | C,
|  | double | alpha
| ) |  |

Denoises a 3D density map by non-linear anisotropic diffusion.

Parameters

  *p | the 3D map (modified).
  ht | time step size, 0 < ht <= 0.25.
  zw | slab size for piece-wise denoising.
  lambda | lamda parameter for EED.
  C | coherence parameter for CED.
  alpha |

Returns
  Bimage* new image.

      The diffusion tensor is calculated with the aim of enhancing edges (EED)
      or planes (CED).

Definition at line 330 of file img_nad.cpp.

int img_nad_chunk | ( | Bimage * | p,
|  | Bimage * | pdn,
|  | double | lambda,
|  | double | C,
|  | double | alpha,
|  | double | ht,
|  | long | zs,
|  | long | zw
| ) |  |

Definition at line 298 of file img_nad.cpp.

Bimage* img_structure_tensor | ( | Bimage * | p,
|  | long | zs,
|  | long | zw
| ) |  |

Definition at line 20 of file img_nad.cpp.

## Variable Documentation

int verbose